"""Helpers to collect info about environment."""
import sys


# generated by "python benchmarks/build_heuristics.py"

PY_VERSION = sys.version_info[0:2]
if PY_VERSION <= (3, 6):
    # 3.6.15
    class Weights:  # type: ignore # pragma: no cover # pylint: disable=missing-class-docstring # noqa: F811
        # base_time: 9.447378699587717e-11
        STEP = 100
        LOGICAL = 107
        DICT_LOOKUP = 139
        MATH_SIMPLE = 161
        ATTR_LOOKUP = 146
        TUPLE_INIT = 231
        LIST_INIT = 289
        SET_INIT = 731
        DICT_INIT = 724
        FUNCTION_CALL = DICT_LOOKUP * 4
        UNPREDICTABLE = 73100

elif PY_VERSION <= (3, 7):  # pragma: no cover
    # 3.7.16
    class Weights:  # type: ignore # pragma: no cover # pylint: disable=missing-class-docstring # noqa: F811
        # base_time: 9.359483375e-11
        STEP = 100
        LOGICAL = 103
        DICT_LOOKUP = 147
        MATH_SIMPLE = 159
        ATTR_LOOKUP = 139
        TUPLE_INIT = 230
        LIST_INIT = 286
        SET_INIT = 730
        DICT_INIT = 725
        FUNCTION_CALL = DICT_LOOKUP * 4
        UNPREDICTABLE = 73000

elif PY_VERSION == (3, 8):  # pragma: no cover
    # 3.8.16
    class Weights:  # type: ignore # pragma: no cover # pylint: disable=missing-class-docstring # noqa: F811
        # base_time: 9.942295274999998e-11
        STEP = 100
        LOGICAL = 94
        DICT_LOOKUP = 132
        MATH_SIMPLE = 153
        ATTR_LOOKUP = 129
        TUPLE_INIT = 221
        LIST_INIT = 281
        SET_INIT = 692
        DICT_INIT = 749
        FUNCTION_CALL = DICT_LOOKUP * 4
        UNPREDICTABLE = 74900

elif PY_VERSION == (3, 9):  # pragma: no cover
    # 3.9.12
    class Weights:  # type: ignore # pragma: no cover # pylint: disable=missing-class-docstring # noqa: F811
        # base_time: 1.0032663587500003e-10
        STEP = 100
        LOGICAL = 96
        DICT_LOOKUP = 138
        MATH_SIMPLE = 164
        ATTR_LOOKUP = 131
        TUPLE_INIT = 244
        LIST_INIT = 311
        SET_INIT = 569
        DICT_INIT = 767
        FUNCTION_CALL = DICT_LOOKUP * 4
        UNPREDICTABLE = 76700

elif PY_VERSION == (3, 10):  # pragma: no cover
    # 3.10.9
    class Weights:  # type: ignore # pragma: no cover # pylint: disable=missing-class-docstring # noqa: F811
        # base_time: 9.785650500089106e-11
        STEP = 100
        LOGICAL = 86
        DICT_LOOKUP = 129
        MATH_SIMPLE = 154
        ATTR_LOOKUP = 126
        TUPLE_INIT = 238
        LIST_INIT = 283
        SET_INIT = 602
        DICT_INIT = 800
        FUNCTION_CALL = DICT_LOOKUP * 4
        UNPREDICTABLE = 80000

elif PY_VERSION == (3, 11):  # pragma: no cover
    # 3.11.1
    class Weights:  # type: ignore # pragma: no cover # pylint: disable=missing-class-docstring # noqa: F811
        # base_time: 9.514307286917756e-11
        STEP = 100
        LOGICAL = 80
        DICT_LOOKUP = 140
        MATH_SIMPLE = 153
        ATTR_LOOKUP = 128
        TUPLE_INIT = 239
        LIST_INIT = 293
        SET_INIT = 623
        DICT_INIT = 888
        FUNCTION_CALL = DICT_LOOKUP * 4
        UNPREDICTABLE = 88800

else:
    # 3.12.0
    class Weights:  # type: ignore # pragma: no cover # pylint: disable=missing-class-docstring # noqa: F811
        # base_time: 1.1810346311540343e-10
        STEP = 100
        LOGICAL = 76
        DICT_LOOKUP = 108
        MATH_SIMPLE = 145
        ATTR_LOOKUP = 49
        TUPLE_INIT = 197
        LIST_INIT = 268
        SET_INIT = 563
        DICT_INIT = 815
        FUNCTION_CALL = DICT_LOOKUP * 4
        UNPREDICTABLE = 81500
